[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterInitComponentHandler

Register a component initialization handler

## Declaration

Source position: classesh.inc line 2045

`procedure RegisterInitComponentHandler(`
`ComponentClass: TComponentClass;`
`Handler: TInitComponentHandler`
`);`

## Description

RegisterInitComponentHandler registers a component initialization handler Handler for the component ComponentClass. This handler will be used to initialize descendents of ComponentClass in the InitInheritedComponent call.

## See also

InitInheritedComponent |  | Initializes a component descending from RootAncestor
TInitComponentHandler |  | Callback type for RegisterInitComponentHandler

Documentation generated on: Feb 26 2014